Trouble after Upgrading to 20.1

Questions about applications and software
Forum rules
Before you post please read how to get help
Post Reply
Firnefex
Level 1
Level 1
Posts: 6
Joined: Mon Sep 21, 2015 10:41 am

Trouble after Upgrading to 20.1

Post by Firnefex »

Hello!
I'm on 20.1 Cinnamon now and cannot go into the Mirrorlist from the Update Manager (it asks if I want to change->yes->password->nothing), and also the Softwarecenter, that just won't open. Anyone else has this problem? I couldn't find solutions on the internet.
Here are the outputs from Terminal:

mintupdate

Code: Select all

~$ /usr/lib/linuxmint/mintUpdate/mintUpdate.py:1123: DeprecationWarning: Gdk.threads_init is deprecated
  Gdk.threads_init()
/usr/lib/linuxmint/mintUpdate/mintUpdate.py:1269: DeprecationWarning: Gtk.ImageMenuItem.set_image is deprecated
  menuItem3.set_image(image)
/usr/lib/linuxmint/mintUpdate/mintUpdate.py:638: DeprecationWarning: Gdk.threads_enter is deprecated
  Gdk.threads_enter()
/usr/lib/linuxmint/mintUpdate/mintUpdate.py:645: DeprecationWarning: Gdk.threads_leave is deprecated
  Gdk.threads_leave()
Traceback (most recent call last):
  File "/usr/lib/linuxmint/mintSources/mintSources.py", line 29, in <module>
    import mintcommon.aptdaemon
  File "/usr/lib/python3/dist-packages/mintcommon/aptdaemon.py", line 9, in <module>
    import aptdaemon.client
  File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 41, in <module>
    from . import enums
ImportError: cannot import name 'enums' from 'aptdaemon' (/usr/lib/python3/dist-packages/aptdaemon/__init__.py)
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 153, in apport_excepthook
    with os.fdopen(os.open(pr_filename,
FileNotFoundError: [Errno 2] Datei oder Verzeichnis nicht gefunden: '/var/crash/_usr_lib_linuxmint_mintSources_mintSources.py.0.crash'

Original exception was:
Traceback (most recent call last):
  File "/usr/lib/linuxmint/mintSources/mintSources.py", line 29, in <module>
    import mintcommon.aptdaemon
  File "/usr/lib/python3/dist-packages/mintcommon/aptdaemon.py", line 9, in <module>
    import aptdaemon.client
  File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 41, in <module>
    from . import enums
ImportError: cannot import name 'enums' from 'aptdaemon' (/usr/lib/python3/dist-packages/aptdaemon/__init__.py)
and mintinstall

Code: Select all

Traceback (most recent call last):
  File "/usr/lib/linuxmint/mintinstall/mintinstall.py", line 27, in <module>
    from mintcommon.installer import installer
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 10, in <module>
    from . import cache, _flatpak, _apt
  File "/usr/lib/python3/dist-packages/mintcommon/installer/cache.py", line 11, in <module>
    from . import _apt
  File "/usr/lib/python3/dist-packages/mintcommon/installer/_apt.py", line 11, in <module>
    import aptdaemon.client
  File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 41, in <module>
    from . import enums
ImportError: cannot import name 'enums' from 'aptdaemon' (/usr/lib/python3/dist-packages/aptdaemon/__init__.py)
Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/apport_python_hook.py", line 153, in apport_excepthook
    with os.fdopen(os.open(pr_filename,
FileNotFoundError: [Errno 2] Datei oder Verzeichnis nicht gefunden: '/var/crash/_usr_lib_linuxmint_mintinstall_mintinstall.py.1000.crash'

Original exception was:
Traceback (most recent call last):
  File "/usr/lib/linuxmint/mintinstall/mintinstall.py", line 27, in <module>
    from mintcommon.installer import installer
  File "/usr/lib/python3/dist-packages/mintcommon/installer/installer.py", line 10, in <module>
    from . import cache, _flatpak, _apt
  File "/usr/lib/python3/dist-packages/mintcommon/installer/cache.py", line 11, in <module>
    from . import _apt
  File "/usr/lib/python3/dist-packages/mintcommon/installer/_apt.py", line 11, in <module>
    import aptdaemon.client
  File "/usr/lib/python3/dist-packages/aptdaemon/client.py", line 41, in <module>
    from . import enums
ImportError: cannot import name 'enums' from 'aptdaemon' (/usr/lib/python3/dist-packages/aptdaemon/__init__.py)
Can anyone help me?
User avatar
SMG
Level 9
Level 9
Posts: 2907
Joined: Sun Jul 26, 2020 6:15 pm
Location: USA

Re: Trouble after Upgrading to 20.1

Post by SMG »

How did you do the upgrade? Not everyone followed the steps on the blog post, so knowing what you did might help us be able to help you.

It was necessary to update Update Manager before upgrading to LM20.1. How to upgrade to Linux Mint 20.1 Did you "If asked whether to keep or replace configuration files, choose to replace them." in step 3?
LM20.1 Cinnamon
Firnefex
Level 1
Level 1
Posts: 6
Joined: Mon Sep 21, 2015 10:41 am

Re: Trouble after Upgrading to 20.1

Post by Firnefex »

With the Update Manager.
First mintupdate itself, then (if there was any update) every other package and last Edit->Upgrade to 20.1
I think there were no question if I want to keep config files.
User avatar
SMG
Level 9
Level 9
Posts: 2907
Joined: Sun Jul 26, 2020 6:15 pm
Location: USA

Re: Trouble after Upgrading to 20.1

Post by SMG »

That's sounds like the general process I did. I do recall the system seemed slow to let me get in to change the mirrors, but I think that might have been related to so many people accessing them at the same time.

Maybe someone else will be able to help with the error messages, because I do not know enough about those messages to be able to help.
LM20.1 Cinnamon
Post Reply

Return to “Software & Applications”